function isES6() {
    try {
        Function("() => {};");
        return true;
    } catch (exception) {
        return false;
    }
}

if (isES6()) {
    document.addEventListener("DOMContentLoaded", function () {
        let
            showSubItems = document.getElementsByClassName('showSubItems'),
            cssFixedSideMenuItemWrap = document.getElementsByClassName('cssFixedSideMenuItemWrap'),
            cssFixedSideMenuLinkWrap = document.getElementsByClassName('cssFixedSideMenuLinkWrap')
        ;

        for (let i = 0, len = showSubItems.length; i < len; i++) {
            showSubItems[i].classList.add('showSubItemsMinusIcon');
            showSubItems[i].style.display = 'block';

            showSubItems[i].addEventListener("click", function (event) {
                event.preventDefault();

                let thisItem = this,
                    thisItemAnchor = thisItem.previousElementSibling,
                    toggleNextItem = thisItemAnchor.nextElementSibling.nextElementSibling
                ;

                if (thisItem.classList.contains('showSubItemsMinusIcon') && !thisItem.classList.contains('showSubItemsPlusIcon')) {
                    thisItem.classList.add('showSubItemsPlusIcon');
                    thisItemAnchor.classList.add('notActiveSub');
                    toggleNextItem.classList.add('hideNextLis');
                } else {
                    thisItem.classList.remove('showSubItemsPlusIcon');
                    thisItemAnchor.classList.remove("notActiveSub");
                    thisItemAnchor.classList.add("activeSub");
                    toggleNextItem.classList.remove("hideNextLis");
                }
            })
        }

        for (let i = 0, len = cssFixedSideMenuItemWrap.length; i < len; i++) {
            cssFixedSideMenuItemWrap[i].style.display = 'block';
        }

        for (let i = 0, len = cssFixedSideMenuLinkWrap.length; i < len; i++) {
            if (!cssFixedSideMenuLinkWrap[i].classList.contains('cssFixedSideMenuCurrentLink') && !cssFixedSideMenuLinkWrap[i].classList.contains('cssFixedSideMenuActiveLink')) {
                if (cssFixedSideMenuLinkWrap[i].nextElementSibling.nextElementSibling) {
                    cssFixedSideMenuLinkWrap[i].nextElementSibling.nextElementSibling.classList.add('hideNextLis');
                }
            }
        }
    });
}
